Bug 204171 - Yum returns with traceback on conflict
Yum returns with traceback on conflict
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-26 07:09 EDT by Nickolay V. Shmyrev
Modified: 2014-01-21 17:54 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-30 12:50:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nickolay V. Shmyrev 2006-08-26 07:09:22 EDT
Description of problem:

yum-metadata-parser-1.0-7.1.fc6
yum-2.9.5-2

--> Processing Conflict: cups conflicts kdelibs < 6:3.5.2-6
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in ?
    yummain.main(sys.argv[1:])
  File "/usr/share/yum-cli/yummain.py", line 143, in main
    (result, resultmsgs) = base.buildTransaction()
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 430, in
buildTransaction
    (rescode, restring) = self.resolveDeps()
  File "/usr/lib/python2.4/site-packages/yum/depsolve.py", line 239, in resolveDeps
    (checkdep, missing, conflict, errormsgs) = self._processConflict(dep)
  File "/usr/lib/python2.4/site-packages/yum/depsolve.py", line 691, in
_processConflict
    (confname, confarch, confepoch, confver, confrel) = conflict_packages[0] #
take the first one, probably the only one
TypeError: unpack non-sequence


Version-Release number of selected component (if applicable):


How reproducible:

always

Steps to Reproduce:

yum upgrade where conflict will occure
Comment 1 Seth Vidal 2006-08-30 12:30:37 EDT
known - will be fixed before 2.9.6
Comment 2 Seth Vidal 2006-08-30 12:50:29 EDT
fixed in cvs.
if you do not find it fixed in 2.9.6 reopen, please.

Note You need to log in before you can comment on or make changes to this bug.